diff --git a/src/ua_connection.c b/src/ua_connection.c
index 5f307c80a0b..85eea76a042 100644
--- a/src/ua_connection.c
+++ b/src/ua_connection.c
@@ -24,6 +24,9 @@ void UA_Connection_init(UA_Connection *connection) {
 }
 
 void UA_Connection_deleteMembers(UA_Connection *connection) {
+#ifndef UA_MULTITHREADING
+    UA_ByteString_delete((UA_ByteString*)connection->handle);
+#endif
     UA_ByteString_deleteMembers(&connection->incompleteMessage);
 }
 
